Bug 1297770 - nethogs: build ignores $RPM_OPT_FLAGS
nethogs: build ignores $RPM_OPT_FLAGS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nethogs (Show other bugs)
rawhide
All All
unspecified Severity medium
: ---
: ---
Assigned To: Anderson Silva
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 07:34 EST by barsnick
Modified: 2016-02-16 20:57 EST (History)
1 user (show)

See Also:
Fixed In Version: nethogs-0.8.2-2.20160101snap.fc23 nethogs-0.8.2-2.20160101snap.fc22 nethogs-0.8.2-2.20160101snap.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 15:51:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description barsnick 2016-01-12 07:34:17 EST
Description of problem:
When building nethogs, the compiler arguments do not include $RPM_OPT_FLAGS

Version-Release number of selected component (if applicable):
0.8.2-1.20160101snap

How reproducible:
always

Steps to Reproduce:
1. build
2. check log:
https://kojipkgs.fedoraproject.org//packages/nethogs/0.8.2/1.20160101snap.fc24/data/logs/x86_64/build.log

Actual results:
g++ -Wall -Wextra [...]

Expected results:
g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector [...]
or something like that.

Additional info:
The SPEC file should be setting
CXXFLAGS="${RPM_OPT_FLAGS}"
in addition to the already set
CFLAGS="${RPM_OPT_FLAGS}"
(There are uses of both in the Makefile.)
Comment 1 Anderson Silva 2016-01-12 09:20:17 EST
I will address this by the end of the week. Thanks for the note.
Comment 2 Fedora Update System 2016-01-22 13:53:22 EST
nethogs-0.8.2-2.20160101snap.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8f005ec35
Comment 3 Fedora Update System 2016-01-22 14:01:44 EST
nethogs-0.8.2-2.20160101snap.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f9e3a8229
Comment 4 Fedora Update System 2016-01-22 14:07:56 EST
nethogs-0.8.2-2.20160101snap.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-75915b8111
Comment 5 Fedora Update System 2016-01-23 23:22:35 EST
nethogs-0.8.2-2.20160101snap.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-75915b8111
Comment 6 Fedora Update System 2016-01-23 23:50:33 EST
nethogs-0.8.2-2.20160101snap.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d8f005ec35
Comment 7 Fedora Update System 2016-01-23 23:50:34 EST
nethogs-0.8.2-2.20160101snap.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f9e3a8229
Comment 8 Fedora Update System 2016-02-03 15:51:29 EST
nethogs-0.8.2-2.20160101snap.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-02-03 16:51:33 EST
nethogs-0.8.2-2.20160101snap.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-02-16 20:57:34 EST
nethogs-0.8.2-2.20160101snap.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.